# Generated by Django 3.2 on 2023-03-05 07:16

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Announcement',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('announcement_title', models.CharField(max_length=50, null=True, unique=True)),
                ('announcement_body', models.CharField(max_length=250, null=True, unique=True)),
                ('announcement_pub_datetime', models.DateTimeField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Reaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reaction_name', models.CharField(max_length=50, null=True)),
                ('reaction_tally', models.IntegerField(null=True)),
                ('reaction_announcement', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='announcements.announcement')),
            ],
        ),
    ]
